=== src/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(main)
if (BUILD_CORE)
    add_subdirectory(core)
endif()
if (BUILD_GUI)
    add_subdirectory(client)
    add_subdirectory(uisupport)
    add_subdirectory(qtui)
endif()

if (BUILD_TESTING)
    add_subdirectory(test)
endif()
