=== tests/common/CMakeLists.txt ===
quassel_add_test(ExpressionMatchTest)

quassel_add_test(FuncHelpersTest)

quassel_add_test(SignalProxyTest
    LIBRARIES
        Quassel::Test::Util
)
