=== debian/changelog ===
quassel-qt5 (0.14.0~pre-130-g01d67be2-1) unstable; urgency=medium

  * New snapshot: 0.14-pre-130-g01d67be2

 -- Alf Gaida <agaida@siduction.org>  Fri, 22 Feb 2019 00:01:12 +0100

quassel-qt5 (0.14.0~pre-110-g7c0eb011-1) unstable; urgency=medium

  * New snapshot: 0.14-pre-110-g7c0eb011

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Nov 2018 22:42:42 +0100

quassel-qt5 (0.14.0~pre-107-g95848fd9-1) unstable; urgency=medium

  * New snapshot: 0.14-pre-107-g95848fd9

 -- Alf Gaida <agaida@siduction.org>  Tue, 20 Nov 2018 20:11:38 +0100

quassel-qt5 (0.14.0~pre-100-g812b7b9f-1) unstable; urgency=medium

  * New snapshot: 0.14-pre-100-g812b7b9f

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Nov 2018 23:48:19 +0100

quassel-qt5 (0.14.0~pre-1) unstable; urgency=medium

  * New snapshot: 0.14-pre

 -- Alf Gaida <agaida@siduction.org>  Sat, 17 Nov 2018 23:35:47 +0100

quassel-qt5 (0.13~really~rc2-1) unstable; urgency=medium

  * New snapshot: 0.13-rc2

 -- Alf Gaida <agaida@siduction.org>  Sat, 20 Oct 2018 12:01:01 +0200

quassel-qt5 (0.13~really~rc1-83-g299bb290-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1-83-g299bb290

 -- Alf Gaida <agaida@siduction.org>  Wed, 03 Oct 2018 14:13:16 +0200

quassel-qt5 (0.13~really~rc1-63-gb33ea3ad-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1-63-gb33ea3ad

 -- Alf Gaida <agaida@siduction.org>  Sat, 15 Sep 2018 11:20:22 +0200

quassel-qt5 (0.13~really~rc1-58-g29252b70-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1-58-g29252b70

 -- Alf Gaida <agaida@siduction.org>  Mon, 10 Sep 2018 21:28:00 +0200

quassel-qt5 (0.13~really~rc1-27-g3b910b2c-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1-27-g3b910b2c

 -- Alf Gaida <agaida@siduction.org>  Mon, 03 Sep 2018 01:36:40 +0200

quassel-qt5 (0.13~really~rc1-25-g0b99f922-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1-25-g0b99f922

 -- Alf Gaida <agaida@siduction.org>  Thu, 30 Aug 2018 19:16:27 +0200

quassel-qt5 (0.13~really~rc1-15-gd1aa7950-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1-15-gd1aa7950

 -- Alf Gaida <agaida@siduction.org>  Fri, 24 Aug 2018 20:42:21 +0200

quassel-qt5 (0.13~really~rc1-4-g56412681-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1-4-g56412681

 -- Alf Gaida <agaida@siduction.org>  Sun, 12 Aug 2018 14:08:01 +0200

quassel-qt5 (0.13~really~rc1-1) unstable; urgency=medium

  * New snapshot: 0.13-rc1

 -- Alf Gaida <agaida@siduction.org>  Sat, 21 Jul 2018 01:09:34 +0200

quassel-qt5 (0.13~really~0.12.0-693-gda1a6f40-1) unstable; urgency=medium

  * New snapshot: 0.13-pre-693-gda1a6f40

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Jun 2018 00:05:42 +0200

quassel-qt5 (0.13~really~0.12.0-677-g932ab289-1) unstable; urgency=medium

  * New snapshot: 0.12.0-677-g932ab289

 -- Alf Gaida <agaida@siduction.org>  Mon, 18 Jun 2018 23:16:29 +0200

quassel-qt5 (0.13~really~0.12.0-676-gf7b02c31-1) unstable; urgency=medium

  * New snapshot: 0.12.0-676-gf7b02c31

 -- Alf Gaida <agaida@siduction.org>  Mon, 18 Jun 2018 22:38:12 +0200

quassel-qt5 (0.13~really~0.12.0-538-gfa344906-1) unstable; urgency=medium

  * New snapshot: 0.12.0-538-gfa344906

 -- Alf Gaida <agaida@siduction.org>  Wed, 09 May 2018 02:28:28 +0200

quassel-qt5 (0.13~really~0.12.0-531-g6e7b4039-1) unstable; urgency=medium

  * New snapshot: 0.12.0-531-g6e7b4039

 -- Alf Gaida <agaida@siduction.org>  Tue, 01 May 2018 23:04:39 +0200

quassel-qt5 (0.13~really~0.12.0-530-gced382f4-1) unstable; urgency=medium

  * New snapshot: 0.12.0-530-gced382f4

 -- Alf Gaida <agaida@siduction.org>  Tue, 01 May 2018 00:50:24 +0200

quassel-qt5 (0.13~really~0.12.0-527-ge17fca76-1) unstable; urgency=medium

  * New snapshot: 0.12.0-527-ge17fca76
  * This is technically 0.12.5

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Apr 2018 21:59:48 +0200

quassel-qt5 (0.13~really~0.12.0-524-g7a8ea3ee-1) unstable; urgency=medium

  * New snapshot: 0.12.0-524-g7a8ea3ee

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 Apr 2018 14:58:03 +0200

quassel-qt5 (0.13~really~0.12.0-512-ga8360815-1) unstable; urgency=medium

  * New snapshot: 0.12.0-512-ga8360815

 -- Alf Gaida <agaida@siduction.org>  Thu, 05 Apr 2018 04:47:15 +0200

quassel-qt5 (0.13~really~0.12.0-481-g934fa415-1) unstable; urgency=medium

  * New snapshot: 0.12.0-481-g934fa415

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Feb 2018 18:30:27 +0100

quassel-qt5 (0.13~really~0.12.0-478-g91c69d07-3) unstable; urgency=medium

  * Recommend: hunspell, hunspell-de-de, hunspell-en-us

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Feb 2018 18:03:44 +0100

quassel-qt5 (0.13~really~0.12.0-478-g91c69d07-2) unstable; urgency=medium

  * Standards 4.1.3
  * dh >= 11, compat 11

 -- Alf Gaida <agaida@siduction.org>  Tue, 27 Feb 2018 23:13:48 +0100

quassel-qt5 (0.13~really~0.12.0-478-g91c69d07-1) unstable; urgency=medium

  * New snapshot: 0.12.0-478-g91c69d07

 -- Alf Gaida <agaida@siduction.org>  Tue, 27 Feb 2018 23:04:18 +0100

quassel-qt5 (0.13~really~0.12.0-472-gb8e81285-1) unstable; urgency=medium

  * fixed debian rules
  * New snapshot: 0.12.0-472-gb8e81285

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Feb 2018 20:00:32 +0100

quassel-qt5 (0.13~really~0.12.0-463-g0167e8a2-2) unstable; urgency=medium

  * added package quassel-qt5

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Dec 2017 23:41:49 +0100

quassel-qt5 (0.13~really~0.12.0-463-g0167e8a2-1) unstable; urgency=medium

  * New snapshot: 0.12.0-463-g0167e8a2
  * we need to enable some icon themes to have the selector
    --DWITH_BREEZE=ON
    --DWITH_BREEZE_DARK=ON
    --DWITH_OXYGEN=ON

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Dec 2017 22:38:45 +0100

quassel-qt5 (0.13~really~0.12.0-458-g71d3d0d7-1) unstable; urgency=medium

  * New snapshot: 0.12.0-458-g71d3d0d7

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Dec 2017 01:56:55 +0100

quassel-qt5 (0.13~really~0.12.0-448-ge90ec7aa-2) unstable; urgency=medium

  * New snapshot: 0.12.0-448-ge90ec7aa
  * Added qttools5-dev


