=== debian/control ===
Source: quassel-qt5
Section: net
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 11~),
               extra-cmake-modules,
               cmake,
               libboost1.67-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libpng-dev,
               libsm-dev,
               libice-dev,
               libxi-dev,
               libxrandr-dev,
               libxrender-dev,
               zlib1g-dev,
               libssl-dev,
               libdbus-1-dev,
               quilt,
# QT5
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libdbusmenu-qt5-dev,
               libqca-qt5-2-dev,
               libqt5webkit5-dev,
# qtwebengine5-dev,
               qtmultimedia5-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
# some KF5
               libkf5sonnet-dev
Standards-Version: 4.2.1
VCS-Browser: https://git.siduction.org/snapshots/quassel
VCS-Git: https://git.siduction.org/snapshots/quassel.git
Homepage: https://www.quassel-irc.org

Package: quassel-qt5
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         quassel-data-qt5 (= ${source:Version}),
         libquassel-client (= ${binary:Version}),
         libquassel-common (= ${binary:Version}),
         libquassel-core (= ${binary:Version}),
         dbus-x11,
         phonon4qt5,
         phonon4qt5-backend-gstreamer | phonon4qt5-backend-vlc,
         gawk
Recommends: libqt5sql5-sqlite (>= 5.3.2) | libqt5sql5-psql,
            hunspell,
            hunspell-de-de,
            hunspell-en-us
Conflicts: quassel,
           quassel-client-kde4
Description: Monolitic IRC client (Qt5 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides the monolitic client.

Package: quassel-client-qt5
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         quassel-data-qt5 (= ${source:Version}),
         libquassel-client (= ${binary:Version}),
         libquassel-common (= ${binary:Version}),
         dbus-x11,
         phonon4qt5,
         phonon4qt5-backend-gstreamer | phonon4qt5-backend-vlc,
         gawk
Recommends: libqt5sql5-sqlite (>= 5.3.2) | libqt5sql5-psql,
            hunspell,
            hunspell-de-de,
            hunspell-en-us
Conflicts: quassel,
           quassel-client-kde4
Description: distributed IRC client - Qt-based client component (Qt5 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the client component.

Package: quassel-core-qt5
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libquassel-common (= ${binary:Version}),
         libquassel-core (= ${binary:Version}),
         libqt5sql5-sqlite (>= 5.3.2) | libqt5sql5-psql,
         lsb-base (>= 3.2-14),
         openssl
Breaks: quassel-core
Replaces: quassel-core
Description: distributed IRC client - core component
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the core component.

Package: quassel-data-qt5
Architecture: all
Depends: ${misc:Depends}
Conflicts: quassel,
           quassel-data-kde4
Replaces: quassel (<< 0.3.1-1)
Description: distributed IRC client - shared data (Qt5 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides files used by the Qt-based Quassel client
 packages.

Package: libquassel-client
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: quassel,
           quassel-data-kde4
Replaces: quassel (<< 0.3.1-1)
Description: Quassel client libs (Qt5 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provide the common library that are used by Quassel client and
 Quassel mono.

Package: libquassel-common
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: quassel,
           quassel-data-kde4
Replaces: quassel (<< 0.3.1-1)
Description: Quassel common lib (Qt5 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provide the common library that are used by the Quassel packages.

Package: libquassel-core
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: quassel,
           quassel-data-kde4
Replaces: quassel (<< 0.3.1-1)
Description: Quassel core lib (Qt5 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provide the core library that are used by the Quassel core
 and Quassel mono.

Package: libquassel-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libquassel-client (= ${binary:Version}),
         libquassel-common (= ${binary:Version}),
         libquassel-core (= ${binary:Version})
Description: Quassel lib devel (Qt5 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provide the development files used by the Quassel.
